This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 658300 - reserved dhcp leases for qemu-kvm virtual machine
reserved dhcp leases for qemu-kvm virtual machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 17:22 EST by Doug SIkora
Modified: 2014-09-09 23:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 16:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doug SIkora 2010-11-29 17:22:04 EST
Description of problem: Create a new network with default configuration.
Edit the XML file with mac address to obtain a reserved IP. Host does not get reserved IP and gets the IP from the DHCP Range


Version-Release number of selected component (if applicable):
[root@blueclaw networks]# rpm -qa | grep libvirt
libvirt-0.8.3-2.fc14.x86_64
libvirt-python-0.8.3-2.fc14.x86_64
libvirt-client-0.8.3-2.fc14.x86_64
[root@blueclaw networks]# rpm -qa | grep dnsmasq
dnsmasq-2.52-1.fc13.x86_64
[root@blueclaw networks]# 



How reproducible:every time


Steps to Reproduce:
1.modify xml file
2.try to renew lease
3.
  
Actual results:
vm gets ip from dhcp range that than designated in xml file.


Expected results:
vm gets designated IP from xml file



example of a modified xml file for reserved IP:
##BEGIN
[root@blueclaw networks]# more privlan.xml 
<network>
  <name>privlan</name>
  <uuid>21511c99-ee99-4081-f7b2-ace3e90d0d56</uuid>
  <bridge name='virbr1' stp='on' delay='0' />
  <ip address='10.1.1.1' netmask='255.255.255.0'>
    <dhcp>
      <range start='10.1.1.128' end='10.1.1.254' />
      <host mac='52:54:00:f7:b4:b1' name='rhel5dev.ocean.com' ip='10.1.1.33' />
    </dhcp>
  </ip>
</network>
###END

Also, I used virsh net-edit <privlan.xml>    to acually change the file, and restarted libvirt and dnsmasq



Additional info:
Comment 1 Daniel Berrange 2010-11-30 04:29:59 EST
Restarting libvirt doesn't activate this, and restarting dnsmasq must be left to libvirt. The required steps are to run 'virsh net-destroy $NET && virsh net-start $NET' after setting up MAC mappings.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:57:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 14:01:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:57:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:58:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:03:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:04:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 16:59:57 EST
Sorry for not addressing this but, but F14 is EOL now, so I'm closing this report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.